This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 546866 - Review Request: qffmpeg - Stripped-down fork of ffmpeg for libspice
Review Request: qffmpeg - Stripped-down fork of ffmpeg for libspice
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-12-12 07:05 EST by Jeroen van Meeuwen
Modified: 2011-04-28 10:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-02 10:37:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2009-12-12 07:05:31 EST
Spec URL: http://www.kanarip.com/custom/SPECS/qffmpeg.spec
SRPM URL: http://www.kanarip.com/custom/f12/SRPMS/qffmpeg-0.4.9-0.15.20080908.fc12.src.rpm
Description: This is a stripped down version of upstream FFMPEG including only the codecs used by SPICE in order to avoid inadvertantly bundling or shipping any
encumbered code or binaries.

qffmpeg is a requirement for the remainder of the SPICE stack right now, although obviously the right thing to do is to eliminate the fork altogether and move forward using ffmpeg as available through Fedora.
Comment 1 Ralf Corsepius 2009-12-12 08:37:34 EST
Cf. https://bugzilla.redhat.com/show_bug.cgi?id=546169
for what I think about such forks.

If you want it formally - NEEDSWORK:
* Invalid Source0-URL - Package has no upstream.

* Consider your application to dlopen ffmpeg

* Package conflicts with ffmpeg
Comment 2 Jeroen van Meeuwen 2009-12-27 18:10:47 EST
Ralf, agreed. It's dependencies seem to build just fine with regular ffmpeg.
Comment 3 Jason Tibbitts 2010-11-02 10:27:32 EDT
Is this still needed at all?  The spice stuff seems to have gone in without needing this package.
Comment 4 Jason Tibbitts 2010-11-02 10:37:17 EDT
After some discussion on IRC, it seems this truly isn't necessary.  Not to mention the fact that the links are dead anyway.  I'll just go ahead and close this out.

Note You need to log in before you can comment on or make changes to this bug.